﻿'Author:        Eric Heim
'Date Created:  3/15/2011
'Course:        CS0004
'Description:   This program allows the user to click three times on a label to draw a triangle.
'               Then, it computes and displays the lengths of the sides and the perimeter and area.

Option Strict On
Option Explicit On

Public Class frmMain
    'counter for the number of clicks the user has performed for a triangle
    Dim counter As Integer = 0
    Dim point1, point2, point3 As Point
    Private Sub lblDraw_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lblDraw.Click
        'check the state of the counter
        If (PUT CODE HERE) Then
            CreateTrianglePoint1()
            ClearTriangleData()
            (PUT CODE HERE) 
        ElseIf (PUT CODE HERE)  Then
            CreateTrianglePoint2()
            (PUT CODE HERE) 
        Else
            Dim area, perimeter, side1, side2, side3 As Double
            CreateTrianglePoint3()
            GetTriangleStats(area, perimeter, side1, side2, side3)
            SetTriangleStats((PUT CODE HERE))
            (PUT CODE HERE) 
        End If
    End Sub

    'Name:          CreateTrianglePoint1
    'Parameters:    None
    'Return Type:   None
    'Description    Records the first point for the trangle
    Sub CreateTrianglePoint1()
        point1 = Cursor.Position
    End Sub

    'Name:          CreateTrianglePoint2
    'Parameters:    None
    'Return Type:   None
    'Description    Records the second point for the trangle and draws the first line
    Sub CreateTrianglePoint2()
        Dim offsetPoint As Point = New Point(lblDraw.Location.X + Me.Location.X + 5, lblDraw.Location.Y + Me.Location.Y + 30)
        Dim myPen As Pen = New Pen(Color.Blue, 3)
        point2 = Cursor.Position
        lblDraw.CreateGraphics.DrawLine(myPen, point1.X - offsetPoint.X, point1.Y - offsetPoint.Y, point2.X - offsetPoint.X, point2.Y - offsetPoint.Y)
    End Sub

    'Name:          CreateTrianglePoint3
    'Parameters:    None
    'Return Type:   None
    'Description    Records the third point for the trangle and draws the last two lines
    Sub CreateTrianglePoint3()
        Dim offsetPoint As Point = New Point(lblDraw.Location.X + Me.Location.X + 5, lblDraw.Location.Y + Me.Location.Y + 30)
        Dim myPen1 As Pen = New Pen(Color.Red, 3)
        Dim myPen2 As Pen = New Pen(Color.Green, 3)
        point3 = Cursor.Position
        lblDraw.CreateGraphics.DrawLine(myPen1, point2.X - offsetPoint.X, point2.Y - offsetPoint.Y, Cursor.Position.X - offsetPoint.X, Cursor.Position.Y - offsetPoint.Y)
        lblDraw.CreateGraphics.DrawLine(myPen2, Cursor.Position.X - offsetPoint.X, Cursor.Position.Y - offsetPoint.Y, point1.X - offsetPoint.X, point1.Y - offsetPoint.Y)
    End Sub

    'Name:          GetTriangleStats
    'Parameters:    (PUT CODE HERE) 
    'Return Type:   None
    'Description    Computes the area, perimeter and the length of the three sides of the triangle
    '               then stores them in the parameters passed to the subprocedure
    Sub GetTriangleStats((PUT CODE HERE) )
        'computes the length of each side of the triangle by the distance formula
        inSide1 = Math.Sqrt((point1.X - point2.X) ^ 2 + (point1.Y - point2.Y) ^ 2)
        inSide2 = Math.Sqrt((point2.X - point3.X) ^ 2 + (point2.Y - point3.Y) ^ 2)
        inSide3 = Math.Sqrt((point3.X - point1.X) ^ 2 + (point3.Y - point1.Y) ^ 2)

        'Computes the perimeter and area of the triangle
        inPerimeter = GetTrianglePerimeter((PUT CODE HERE) )
        inArea = GetTriangleArea((PUT CODE HERE) )

    End Sub

    'Name:          GetTrianglePerimeter
    'Parameters:    (PUT CODE HERE) 
    'Return Type:   (PUT CODE HERE) 
    'Description    Computes the perimeter of the triangle
    Function GetTrianglePerimeter((PUT CODE HERE)) As (PUT CODE HERE) 
        Return (PUT CODE HERE) 
    End Function

    'Name:          GetTriangleArea
    'Parameters:    (PUT CODE HERE) 
    'Return Type:   (PUT CODE HERE) 
    'Description    Computes the area of the triangle
    Function GetTriangleArea((PUT CODE HERE) ) As (PUT CODE HERE) 
        (PUT CODE HERE) 
        Return (PUT CODE HERE) 
    End Function

    'Name:          SetTriangleStats
    'Parameters:    inArea: the triangle's area, inPerimeter: the triangle's perimeter,
    '               inSide1, inSide2, and inSide3:  the sides of the triangle
    'Return Type:   None
    'Description    Puts the triangle's stats from the parameters to the corresponding text boxes
    Sub SetTriangleStats(ByVal inArea As Double, ByVal inPerimeter As Double, ByVal inSide1 As Double, ByVal inSide2 As Double, ByVal inSide3 As Double)
       (PUT CODE HERE) 
    End Sub

    'Name:          ClearTriangleData
    'Parameters:    None
    'Return Type:   None
    'Description    Clears all of the text boxes and clears the drawing label
    Sub ClearTriangleData()
        (PUT CODE HERE) 
        lblDraw.CreateGraphics.Clear(Color.White)
    End Sub

End Class
